Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityFallingSand

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityFallingSand

    public class EntityFallingSand

extends Entity

Field Summary
`int` | `blockID`
`int` | `fallTime` How long the block has been falling for.
`boolean` | `field_70284_d`
`int` | `field_70285_b`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityFallingSand(World par1World)`
`EntityFallingSand(World par1World, double par2, double par4, double par6, int par8)`
`EntityFallingSand(World par1World, double par2, double par4, double par6, int par8, int par9)`

Method Summary
`boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
`void` | `func_82154_e(boolean par1)`
`boolean` | `func_90999_ad()`
`float` | `getShadowSize()`
`World` | `getWorld()`
`void` | `onUpdate()` Called to update the entity's position/logic.

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canAttackWithItem, canBePushed, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_70079_am, func_82142_c, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### blockID

    public int blockID

### field_70285_b

    public int field_70285_b

### fallTime

    public int fallTime

  How long the block has been falling for.

### field_70284_d

    public boolean field_70284_d

Constructor Detail

### EntityFallingSand

    public EntityFallingSand(World par1World)

### EntityFallingSand

    public EntityFallingSand(World par1World,
                             double par2,
                             double par4,
                             double par6,
                             int par8)

### EntityFallingSand

    public EntityFallingSand(World par1World,
                             double par2,
                             double par4,
                             double par6,
                             int par8,
                             int par9)

Method Detail

### canBeCollidedWith

    public boolean canBeCollidedWith()

  Returns true if other Entities should be prevented from moving through this Entity.

  Overrides:
    `canBeCollidedWith` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### getShadowSize

    public float getShadowSize()

  Overrides:
    `getShadowSize` in class `Entity`

### getWorld

    public World getWorld()

### func_82154_e

    public void func_82154_e(boolean par1)

### func_90999_ad

    public boolean func_90999_ad()

  Overrides:
    `func_90999_ad` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD